//
//  PSReportHelper.h
//  AppSilverStack2
//
//  Created by Benedikt Hirmer on 23.08.11.
//  Copyright 2011 Pomfort. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString * const PSFolderImageTypeFolder;
extern NSString * const PSFolderImageTypeSmartFolder;
extern NSString * const PSFolderImageTypeProject;
extern NSString * const PSFolderImageTypeVolume;
extern NSString * const PSFolderImageTypeBin;

extern NSString * const PSReportGeneratorUserKeyExportedFolder;

@interface PSReportHelper : NSObject {
		
}

+ (NSPropertyDescription*) propertyDescriptionForKey:(NSString*) propKey;
+ (NSAttributeDescription*) attributeDescriptionForKey:(NSString*) attrKey 
									  forAttributeType:(NSAttributeType) attrType;
+ (NSAttributeType) attributeTypeForKey:(NSString*) attrKey;

+ (NSString*) temporaryReportDirectory UNAVAILABLE_ATTRIBUTE;

+ (NSString*) ratingIconStringForRating:(NSInteger) ratingVal;
+ (NSString *)flagIconURLForFlag:(BOOL)flag;
+ (NSString *)labelIconURLForLabelValue:(NSInteger)labelValue;
+ (NSString *)verificationStringForFlags:(NSNumber*)flags;

+ (NSDictionary*) reportDate;
+ (NSDictionary*) productName;

+ (NSString*)urlOfExistingTemporaryImageCopyWithImageName:(NSString*)imageName UNAVAILABLE_ATTRIBUTE;

+ (NSMutableDictionary*) sortStatValuesDictionary:(NSMutableDictionary*)stats;

+ (NSString *)temporaryHTMLReportPath UNAVAILABLE_ATTRIBUTE;

+ (NSURL *)tempPDFURL UNAVAILABLE_ATTRIBUTE;

+ (NSString *)folderIconPathForFolderType:(PSFolderType)folderType UNAVAILABLE_ATTRIBUTE;

+ (NSURL *)defaultSaveURL;

@end
