//
//  PSSyncServiceMentor.h
//  SilverstackShared
//
//  Created by Ulrich Zurucker on 21.11.17.
//  Copyright © 2017 Pomfort. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PSSyncServiceManager.h"

NS_ASSUME_NONNULL_BEGIN

@interface PSSyncServiceMentor : NSObject

- (instancetype)init NS_UNAVAILABLE;

- (instancetype)initWithManagedObjectContext:(NSManagedObjectContext*)context
                            libraryFolderURL:(NSURL*)libraryFolderURL;

@property BOOL syncProject;

- (void)authenticateWithCredential:(NSURLCredential*)credential
                            result:(nullable PSCloudAuthenticationResult)result;

@property (readonly) PSSyncServiceAuthenticationStatus authenticationStatus;

- (BOOL)objectIsIgnoredFolder:(NSManagedObject*)object;
- (nullable NSString*)superEntityNameOfEntity:(NSString*)entityName;

@end

NS_ASSUME_NONNULL_END
